bind F12 vstr wide
set wide vstr wide2
seta wide1 "r_fullscreen 0; r_mode 4; vid_restart; set wide vstr wide2"
seta wide2 "r_fullscreen 1; r_mode 21; vid_restart; set wide vstr wide1"

bind F11 vstr full
set full vstr full1
seta full1 "r_fullscreen 1; vid_restart; set full vstr full2"
seta full2 "r_fullscreen 0; vid_restart; set full vstr full1"

bind d vstr volumeup
bind s vstr voludown
set volumeup "vstr volumeb"
set voludown "vstr volumea"
set volume0 "set volumeup vstr volumea;set voludown vstr volume0;s_volume 0.0;echo VOL 0.0"
set volumea "set volumeup vstr volume1;set voludown vstr volume0;s_volume 0.05;echo VOL 0.05"
set volume1 "set volumeup vstr volumeb;set voludown vstr volumea;s_volume 0.1;echo VOL 0.1"
set volumeb "set volumeup vstr volume2;set voludown vstr volume1;s_volume 0.15;echo VOL 0.15"
set volume2 "set volumeup vstr volumec;set voludown vstr volumeb;s_volume 0.2;echo VOL 0.2"
set volumec "set volumeup vstr volume3;set voludown vstr volume2;s_volume 0.25;echo VOL 0.25"
set volume3 "set volumeup vstr volume4;set voludown vstr volumec;s_volume 0.3;echo VOL 0.3"
set volume4 "set volumeup vstr volume5;set voludown vstr volume3;s_volume 0.4;echo VOL 0.4"
set volume5 "set volumeup vstr volume6;set voludown vstr volume4;s_volume 0.5;echo VOL 0.5"
set volume6 "set volumeup vstr volume7;set voludown vstr volume5;s_volume 0.6;echo VOL 0.6"
set volume7 "set volumeup vstr volume8;set voludown vstr volume6;s_volume 0.7;echo VOL 0.7"
set volume8 "set volumeup vstr volume9;set voludown vstr volume7;s_volume 0.8;echo VOL 0.8"
set volume9 "set volumeup vstr volume10;set voludown vstr volume8;s_volume 0.9;echo VOL 0.9"
set volume10 "set volumeup vstr volume10;set voludown vstr volume9;s_volume 1.0;echo VOL 1.0"

bind a "vstr ACCtoggle"
set ACCtoggle1 "+acc ; set ACCtoggle vstr ACCtoggle2"
set ACCtoggle2 "-acc ; set ACCtoggle vstr ACCtoggle1"
set ACCtoggle "vstr ACCtoggle1"